Subject: Re: Linuxppc and MPC8255 routing performance

From: Dan Malek <[email-masked]>
Date: Tue, 13 Nov 2001 12:02:37 -0500

Ricardo Scop wrote:

> Nevertheless, I'm aware that using local bus memory for I/O data flowing
> between CPM and CPU may improve performance in some Linux applications, so I
> would like to experiment with this.

You don't need this as a solution to your performance troubles.  I have
been experimenting with using this space for socket buffers, but unless
you have something else on the bus consuming the cycles, I haven't seen
any benefit.  It could be very useful for custom network applications,
but there isn't anything Linux will do.  Some systems just toss this space
into the general free memory pool, just remember you can't access it over
the 60x bus.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/